"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCommandSpecs = void 0;
/**
 *  TODO
 *      - get paths
 *      - get operations
 *      - convert operations to commands
 */
function createCommandSpecs(apiSpec) {
    const { paths } = apiSpec;
    return createPathCommands(paths);
}
exports.createCommandSpecs = createCommandSpecs;
function createPathCommands(paths) {
    return Object.keys(paths).reduce((acc, key) => {
        const path = paths[key];
        const items = [
            ...((path === null || path === void 0 ? void 0 : path.get)
                ? [
                    {
                        method: 'get',
                        path: key,
                        operationObj: path.get,
                        commonParameters: path.parameters,
                    },
                ]
                : []),
        ];
        return [...acc, ...items];
    }, []);
}
