"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const openapi_parser_1 = require("@readme/openapi-parser");
const vitest_1 = require("vitest");
const create_command_1 = require("./create-command");
(0, vitest_1.describe)('create-command', function () {
    (0, vitest_1.test)('should create command spec (instructions on what commands to output) from paths', async () => {
        const testSpec = (await openapi_parser_1.default.dereference('/Users/robert.field/Documents/Projects/EP/muse/openapi-typescript-codegen/samples/spec/shopper-v3.json'));
        (0, vitest_1.expect)(testSpec).toBeDefined();
        (0, vitest_1.expect)((0, create_command_1.createCommandSpecs)(testSpec)).toMatchSnapshot();
    });
});
